<sqtm-core-customisable-dialog
  [titleKey]="'sqtm-core.test-case-workspace.dialog.title.param-info'"
  [dialogId]="data.id"
>
  <sqtm-core-dialog-body>
    <div class="param-cols-form">
      <label class="label label__align_right">{{
        'sqtm-core.entity.generic.name.label' | translate
      }}</label>
      <sqtm-core-editable-text-field
        [attr.data-test-field-id]="'name'"
        class="param-field"
        #paramName
        [value]="data.parameter.name"
        [editable]="!data.delegate && data.canWrite"
        [validators]="getValidatorsName()"
        (confirmEvent)="updateName($event)"
      >
      </sqtm-core-editable-text-field>
      <label class="label label__align_right">{{
        'sqtm-core.entity.generic.description.label' | translate
      }}</label>

      <sqtm-core-editable-rich-text
        #paramDescription
        [focus]="true"
        [attr.data-test-field-id]="'description'"
        [value]="data.parameter.description"
        [editable]="!data.delegate && data.canWrite"
        (confirmEvent)="updateDescription($event)"
      >
      </sqtm-core-editable-rich-text>

      @if (data.delegate) {
        <label class="label label__align_right">{{
          'sqtm-core.entity.parameter.source-test-case' | translate
        }}</label>
        <a
          [attr.data-test-field-id]="'testCaseSource'"
          class="param-field"
          (click)="navigateToTestCase()"
          >{{ getTestCaseSourceName(data.parameter) }}</a
        >
      }
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'close'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.close' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
